# 1.0.0[−][src]Trait std::os::windows::io::AsRawSocket

    pub trait AsRawSocket {
        fn as_raw_socket(&self) -> RawSocket;
    }

This is supported on Windows only.

Extracts raw sockets.

## Required methods

### `fn as_raw_socket(&self) -> RawSocket`

This is supported on Windows only.

Extracts the underlying raw socket from this object.

Loading content...

## Implementors

### `impl AsRawSocket for TcpListener`[src]

#### `fn as_raw_socket(&self) -> RawSocket`[src]

This is supported on Windows only.

### `impl AsRawSocket for TcpStream`[src]

#### `fn as_raw_socket(&self) -> RawSocket`[src]

This is supported on Windows only.

### `impl AsRawSocket for UdpSocket`[src]

#### `fn as_raw_socket(&self) -> RawSocket`[src]

This is supported on Windows only.
Loading content...